<?php
# Copyright 2009 Atomicorp a subsidiary of Prometheus Global, Inc., 
# All Rights Reserved.
# http://www.atomicorp.com
#
# This is copyright protected software.  Use of this Software is 
# ruled by the terms of the End User License Agreement, included in 
# or with the Software (EULA). Final user must accept the terms of 
# the EULA in order to install and use the Software.
#
# Distribution of this work or derivative of this work in any form is 
# prohibited unless prior written permission is obtained from the 
# copyright holder. 
#
# COPY OR REPRODUCTION OF THIS SOFTWARE ON ANOTHER SYSTEM OR POSITIONING 
# IN ORDER TO FACILITATE SUCH COPYING OR DISTRIBUTION IS STRICTLY FORBIDDEN.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS   
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE   
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE   
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE   
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR   
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF   
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS   
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN   
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)   
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF   
# THE POSSIBILITY OF SUCH DAMAGE.

include_once(PRODUCT_ROOT."/admin/plib/modules/pm.php");
if (!$session->chkLevel(IS_ADMIN)) {
        pm_alert(pm_lmsg('__perm_denied').'You must be admin to use this page');
        go_to_uplevel();
}

class DB_FileCheck extends AjaxRequest {
	var $filename="/var/ossec/queue/syscheck/syscheck";
	
	function init()	{
		$fp=fopen($this->filename,"r");
		$list_size=0;
		$buffer=fgets($fp,4096);
		$skpattern="/^\S\S\S(\d+):(\d+):(\d+:\d+):(\S+):(\S+) \!(\d+) (.+)$/";
		
		//while(!feof($fp)) {
		if ($fp=fopen($this->filename,"r")) {
			while(!feof($fp)) {
		
				$buffer=fgets($fp,4096);
				$buffer=rtrim($buffer);
				if (($buffer{0}=="+") || ($buffer{0}=="#")) {continue;}
			
				if (preg_match($skpattern,$buffer,$regs)) {
					$tmp=array($regs[7], $regs[6], $regs[5], $regs[4], $regs[3], $regs[2], $regs[1]);
				
					$this->data[]=array(
					"text"=>$tmp[0],
					"target"=>"lib/php/_ajax_entry.php?display=dashboard&sub=file_detail&filename=$tmp[0]&size=$tmp[6]&permissions=$tmp[5]&owner=$tmp[3]&md5sum=$tmp[2]&date=$tmp[1]"
					);
				}
			}
		}
	}
}
?>
