<?php 
# Copyright 2009 Atomicorp a subsidiary of Prometheus Global, Inc., 
# All Rights Reserved.
# http://www.atomicorp.com
#
# This is copyright protected software.  Use of this Software is 
# ruled by the terms of the End User License Agreement, included in 
# or with the Software (EULA). Final user must accept the terms of 
# the EULA in order to install and use the Software.
#
# Distribution of this work or derivative of this work in any form is 
# prohibited unless prior written permission is obtained from the 
# copyright holder. 
#
# COPY OR REPRODUCTION OF THIS SOFTWARE ON ANOTHER SYSTEM OR POSITIONING 
# IN ORDER TO FACILITATE SUCH COPYING OR DISTRIBUTION IS STRICTLY FORBIDDEN.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS   
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE   
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE   
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE   
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR   
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF   
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS   
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN   
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)   
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF   
# THE POSSIBILITY OF SUCH DAMAGE.


include(PRODUCT_ROOT."/admin/plib/modules/pm.php");
if (!$session->chkLevel(IS_ADMIN)) {
        pm_alert(pm_lmsg('__perm_denied').'You must be admin to use this page');
        go_to_uplevel();
}

// Test for IE7/8 
header("cache-control: must-revalidate"); 

// kill error messages
error_reporting(E_ALL ^ E_NOTICE);

include("/etc/asl/web.conf");
?>

<html>
<head>
	<link rel="shortcut icon" href="/favicon.ico">
	<title>Plesk</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

	<script language="javascript" type="text/javascript" src="/javascript/common.js?plesk_version=psa-8.1.1-81070322.16"></script>
	<script language="javascript" type="text/javascript" src="/javascript/main.js?plesk_version=psa-8.1.1-81070322.16"></script>
	<script language="javascript" type="text/javascript" src="/javascript/chk.js.php?plesk_version=psa-8.1.1-81070322.16"></script>

	<link rel="stylesheet" type="text/css" href="/skins/winxp.new.compact/css/general.css">
	<link rel="stylesheet" type="text/css" href="/skins/winxp.new.compact/css/main/custom.css">
	<link rel="stylesheet" type="text/css" href="/skins/winxp.new.compact/css/main/layout.css">
	<link rel="stylesheet" type="text/css" href="/skins/winxp.new.compact/css/main/desktop.css">
	<!--[if IE]><link rel="stylesheet" type="text/css" href="/skins/winxp.new.compact/css/ie.css"><![endif]-->
	<link rel="stylesheet" type="text/nonsense" href="/skins/winxp.new.compact/css/misc.css">
</head>
<style type="text/css" media="all">
	@import "lib/css/asl.css";
	@import "lib/css/config.css";
	@import "lib/css/dashboard.css";
	@import "lib/css/inventory.css";
	@import "lib/css/blocklist.css";
	@import "lib/css/execute.css";
</style>
<!--[if IE]>
<style type="text/css" media="all">
	@import "lib/css/dashboard_ie.css";
</style>
<![endif]-->
<body id="mainCP" class="visibilityAdminMode MainFrameBody">
	<div class="screenTitle">
		<table width="100%" cellspacing="0">
			<tr>
				<td>Atomic Secured Linux</td>
				<td class="uplevel"></td>
			</tr>
		</table>
	</div>
	<div class="screenSubTitle"></div>
	<div class="screenBody" id="">
		<div style="margin:20px 0 10px;">
		</div>
		<div id="asl_container">
			<div id="asl_tabs">
			</div>
			<div id="pages">
				<?
					include("lib/templates/db_base.tmp");
					include("lib/templates/inv_base.tmp");
					include("lib/templates/blocklist_base.tmp");
					include("lib/templates/config_base.tmp");
				?>
				<iframe id="if_support" src="https://support.prometheus-group.com" class="if_support"></iframe>
			</div>
		</div>
	</div>
	<div class="LeftFrameSwitcher" id="divLeftFrameSwitcher"><img alt="bar_close.gif" width="6" height="60" id="imgLeftFrameSwitcher" onClick="SwitchLeftFrame();" title="Hide/show the navigation pane" src="/skins/winxp.new/images/bar_close.gif"></div>
</body>
<?include("lib/templates/_footer.tmp");?>

</html>
