<?php
# Copyright 2009 Atomicorp a subsidiary of Prometheus Global, Inc., 
# All Rights Reserved.
# http://www.atomicorp.com
#
# This is copyright protected software.  Use of this Software is 
# ruled by the terms of the End User License Agreement, included in 
# or with the Software (EULA). Final user must accept the terms of 
# the EULA in order to install and use the Software.
#
# Distribution of this work or derivative of this work in any form is 
# prohibited unless prior written permission is obtained from the 
# copyright holder. 
#
# COPY OR REPRODUCTION OF THIS SOFTWARE ON ANOTHER SYSTEM OR POSITIONING 
# IN ORDER TO FACILITATE SUCH COPYING OR DISTRIBUTION IS STRICTLY FORBIDDEN.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS   
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE   
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE   
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE   
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR   
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF   
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS   
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN   
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)   
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF   
# THE POSSIBILITY OF SUCH DAMAGE.


include_once(PRODUCT_ROOT."/admin/plib/modules/pm.php");
if (!$session->chkLevel(IS_ADMIN)) {
        pm_alert(pm_lmsg('__perm_denied').'You must be admin to use this page');
        go_to_uplevel();
}


class DB_SecEventDetailInteract extends AjaxRequest {
	function init()	{
		if (isset($this->req["whitelist"])) {
			$wl=file("/etc/asl/whitelist");
			$add=1;
			foreach ($wl AS $k=>$v) {if ($v==$this->req["whitelist"]) {$add=0;}}
			
			if ($add==1) {
				exec("sudo /var/asl/bin/asl --unblock ".$this->req["whitelist"]." &");
				exec("sudo /var/asl/bin/asl --whitelist ".$this->req["whitelist"]." &");
				$this->data["status"]="good";
			}
			else {
				exec("sudo /var/asl/bin/asl --unblock ".$this->req["whitelist"]." &");
				exec("sudo /var/asl/bin/asl --remove-whitelist ".$this->req["whitelist"]." &");
				$this->data["status"]="good";
			}
		}
		else if (isset($this->req["disable"])) {
			$rl=file("/etc/asl/disabled_signatures");
			$add=1;
			foreach ($rl AS $k=>$v) {if ($v==$this->req["disable"]) {$add=0;}}
			
			if ($add==1) {
				exec("sudo /var/asl/bin/asl --disable-rule ".$this->req["disable"]." &");
				$this->data["status"]="good";
			}
			else {
				exec("sudo /var/asl/bin/asl --enable-rule ".$this->req["disable"]." &");
				$this->data["status"]="good";
			}
		}
		else if (isset($this->req["path"])) {
			exec("sudo /var/asl/bin/asl --report-false-positive ".$this->req["path"]." &");
			$this->data["status"]="good";
		}
		else {
			$this->data["status"]="bad";
		}
	}
}
?>
