<?php 
# Copyright 2009 Atomicorp a subsidiary of Prometheus Global, Inc., 
# All Rights Reserved.
# http://www.atomicorp.com
#
# This is copyright protected software.  Use of this Software is 
# ruled by the terms of the End User License Agreement, included in 
# or with the Software (EULA). Final user must accept the terms of 
# the EULA in order to install and use the Software.
#
# Distribution of this work or derivative of this work in any form is 
# prohibited unless prior written permission is obtained from the 
# copyright holder. 
#
# COPY OR REPRODUCTION OF THIS SOFTWARE ON ANOTHER SYSTEM OR POSITIONING 
# IN ORDER TO FACILITATE SUCH COPYING OR DISTRIBUTION IS STRICTLY FORBIDDEN.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS   
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE   
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE   
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE   
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR   
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF   
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS   
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN   
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)   
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF   
# THE POSSIBILITY OF SUCH DAMAGE.

include_once(PRODUCT_ROOT."/admin/plib/modules/pm.php");
if (!$session->chkLevel(IS_ADMIN)) {
        pm_alert(pm_lmsg('__perm_denied').'You must be admin to use this page');
        go_to_uplevel();
}

ob_start();

include_once("/etc/asl/web.conf");

$out=array();
foreach ($_POST AS $k=>$v)	{
	if ($k!="config_file")	{
		$parts=split("_",$k);
		if ($parts[2]=="header")		{$out[]=stripslashes($_POST[$k])."\n";}
		else if ($parts[2]=="spacer")	{$out[]="\n";}
		else if ($parts[2]=="string")	{
			$fname="";
			for ($i=3;$i<count($parts);$i++)	{
				if ($i>3) {$fname.="_";}
				$fname.=$parts[$i];
			}
			$out[]=$fname."=\"".$_POST[$k]."\"\n";
		}
		else if ($parts[2]=="boolean")	{
			$fname="";
			for ($i=3;$i<count($parts);$i++)	{
				if ($i>3) {$fname.="_";}
				$fname.=$parts[$i];
			}
			if ($_POST[$k]==0)	{$val="no";}
			else				{$val="yes";}
			$out[]=$fname."=".$val."\n";
		}
	}
}

//$fh=fopen(PATH_CONFIGS.$_POST["config_file"],"w+");
$fh=fopen("/etc/asl/config","w+");
foreach ($out AS $k=>$v)	{
	fwrite($fh,$v);
}
fclose($fh);
//echo print_r($_POST);
//echo "----------------------------";
//echo print_r($out);
$xml="<?xml version=\"1.0\" ?>\n<root>\n\t<status>0</status>\n</root>\n";
echo $xml;
ob_end_flush();
?>
